Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
agora::rtc::IScreenCaptureSourceList Class Referenceabstract

`#include <IAgoraRtcEngine.h>`

## Public Member Functions
virtual unsigned int | getCount ()=0
virtual ScreenCaptureSourceInfo | getSourceInfo (unsigned int index)=0
virtual void | release ()=0

## Protected Member Functions
virtual | ~IScreenCaptureSourceList ()

## Detailed Description

The IScreenCaptureSourceList class. This class is returned in the getScreenCaptureSources method.

## Constructor & Destructor Documentation

## ◆ ~IScreenCaptureSourceList()

virtual agora::rtc::IScreenCaptureSourceList::~IScreenCaptureSourceList | ( |  | ) |
| inlineprotectedvirtual

## Member Function Documentation

## ◆ getCount()

virtual unsigned int agora::rtc::IScreenCaptureSourceList::getCount | ( |  | ) |
| pure virtual

Gets the number of shareable windows and screens.

Note
  This method applies to macOS and Windows only.

Returns
  The number of shareable windows and screens.

## ◆ getSourceInfo()

virtual ScreenCaptureSourceInfo agora::rtc::IScreenCaptureSourceList::getSourceInfo | ( | unsigned int | index | ) |
| pure virtual

Gets information about the specified shareable window or screen.

After you get `IScreenCaptureSourceList`, you can pass in the index value of the specified shareable window or screen to get information about that window or screen from `ScreenCaptureSourceInfo`.

Note
  This method applies to macOS and Windows only.

Parameters

  index | The index of the specified shareable window or screen. The value range is [0, `getCount` `()`).

Returns
  `ScreenCaptureSourceInfo`

## ◆ release()

virtual void agora::rtc::IScreenCaptureSourceList::release | ( |  | ) |
| pure virtual

Releases `IScreenCaptureSourceList`.

After you get the list of shareable windows and screens, to avoid memory leaks, call this method to release `IScreenCaptureSourceList` instead of deleting `IScreenCaptureSourceList` directly.

Note
  This method applies to macOS and Windows only.